Bug 1279267 - screen brightness controls non functional (UI and Keyboard controls) [NEEDINFO]
screen brightness controls non functional (UI and Keyboard controls)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 18:55 EST by gingerling
Modified: 2016-10-26 12:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (gingerling)


Attachments (Terms of Use)
xorg.0.log file (27.95 KB, text/plain)
2015-11-09 10:50 EST, gingerling
no flags Details

  None (edit)
Description gingerling 2015-11-08 18:55:42 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/42.0
Build Identifier: 

Just updated from 20 to 23. Am using ThinkPad T430 about 2 years old. The screen brightness controls have no effect, either the on-screen ones (sliders goes up and down but no change) or the keyboard shorcuts, which show a slider going up and down but have no effect. 

Reproducible: Always

Steps to Reproduce:
1. Try adjusting screen brightness
2. Everything appears fine except it's still on full brightness
3. 



This is pretty important for me, I really do use this a lot when working late to stop my eyes getting tired and to prevent insomnia later. Please help :/
Comment 1 Kevin Fenzi 2015-11-09 10:41:45 EST
Moving this to kernel folks for diagnosis. 

You might attach your X log and any info from xbacklight (if that works).
Comment 2 gingerling 2015-11-09 10:50 EST
Created attachment 1091806 [details]
xorg.0.log file

I asked my sys-admin guy how to get this, I think this is what you need? Please let me know if I can help further
Comment 3 gingerling 2015-11-26 18:57:11 EST
Hi, is there anything to be done about this? Do you need any more info from me? It's driving me a bit crazy to be honest, I am pretty desperate to get this fixed, it's messing with my insomnia big time :(
Comment 4 Laura Abbott 2016-09-23 15:47:37 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Laura Abbott 2016-10-26 12:55:57 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.